I use NetBeans Ruby edition. I'm very happy with it.